# Contact Data

The event data model delivered for this category:

{% hint style="info" %}
The Contact Data model is delivered on: **Creation, Amendment or Removal**

`eventNotificationGroupId`: **400**

`eventNotificationTypeId`: 400 or 401 or 402 (Create, Amend or Cancel)
{% endhint %}

```javascript
{
    "eventNotificationCompanyIdentifier": "b6589fc6ab",
    "eventNotificationCompanyName": "North Shore Seaplanes",
    "eventNotificationDateTime": "2021-02-04 12:44:11",
    "eventNotificationGroupId": "400",
    "eventNotificationId": "4",
    "eventNotificationIpAddress": "66.183.253.14",
    "eventNotificationName": "contact create",
    "eventNotificationSystem": "support",
    "eventNotificationType": "Contact Creation",
    "eventNotificationTypeId": "400",
    "eventData": {
        "contact": {
            "accountId": "398",
            "accountName": "Expedia Europe",
            "addressLine1": "Suite 423 119 W Pender",
            "addressLine2": {},
            "birthDate": "N/A",
            "city": "Vancouver",
            "contactId": "603",
            "country": "Canada",
            "department": "LX Tours and Activitites",
            "email": "walter@expedia.com",
            "fax": "604-123-1345",
            "firstName": "Walter",
            "homePhone": "604-123-1345",
            "lastName": "Cronkite",
            "mobilePhone": "604-123-1345",
            "officePhone": "604-123-1345",
            "state": "British Columbia",
            "title": "GM For LX Europe",
            "username": {},
            "zipCode": "V6B1S5"
        }
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/webhooks/event-data-payloads/contact-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
